Prints a button for the account pages.

This is used to build HTML code by using objects.

package | metaHTML

### Methods

## Constructor

    __construct(String $targetModule, String $targetPage, String $identifier, String $value, String $isImageButton)

### Parameters

#### $targetModule

`String`

module name which renders next page

#### $targetPage

`String`

name of next page

#### $identifier

`String`

identifier for button

#### $value

`String`

button text or image (16x16px, relative to graphics folder)

#### $isImageButton

`String`

image or text button (default text)

## Prints the HTML code for this element.

    generateHTML(string $module, array $input, array $values, boolean $restricted, integer $tabindex, string $scope) : array

Inherited

inherited_from | \htmlButton::generateHTML()

### Parameters

#### $module

`string`

Name of account module

#### $input

`array`

List of meta-HTML elements

#### $values

`array`

List of values which override the defaults in $input (name => value)

#### $restricted

`boolean`

If true then no buttons will be displayed

#### $tabindex

`integer`

Start value of tabulator index for input fields

#### $scope

`string`

Account type

### Returns

`array`List of input field names and their type (name => type)

## Returns the HTML attributes for the alignment.

    getAlignmentString() : String

Inherited

inherited_from | \htmlElement::getAlignmentString()
inherited_from | \htmlButton::getAlignmentString()

### Returns

`String`alignment HTML attributes (e.g. align="right" valign="top")

## Returns the HTML attribute for the colspan.

    getColspanString() : String

Inherited

inherited_from | \htmlElement::getColspanString()
inherited_from | \htmlButton::getColspanString()

### Returns

`String`colspan HTML attribute (e.g. colspan=3)

## Returns the HTML attribute for the rowspan.

    getRowspanString() : String

Inherited

inherited_from | \htmlElement::getRowspanString()
inherited_from | \htmlButton::getRowspanString()

### Returns

`String`rowspan HTML attribute (e.g. rowspan=3)

## Returns the CSS classes of the surrounding table cell for this element.

    getTableCellCSSClasses() : array

Inherited

inherited_from | \htmlElement::getTableCellCSSClasses()
inherited_from | \htmlButton::getTableCellCSSClasses()

### Returns

`array`CSS classes

## Adds CSS classes to this element.

    setCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setCSSClasses()
inherited_from | \htmlButton::setCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Sets an additional icon for a text button.

    setIconClass(String $iconClass)

Inherited

The icon class is a CSS class that specifies the icon image (e.g. "deleteButton" in layout.css).

inherited_from | \htmlButton::setIconClass()

### Parameters

#### $iconClass

`String`

icon class

## Specifies if this component is enabled and accepts user modification.

    setIsEnabled(boolean $isEnabled)

Inherited

inherited_from | \htmlButton::setIsEnabled()

### Parameters

#### $isEnabled

`boolean`

enabled if true

## Sets the onclick event code.

    setOnClick(String $onClick)

Inherited

This makes this button a simple button that does not submit a form.

inherited_from | \htmlButton::setOnClick()

### Parameters

#### $onClick

`String`

JS code

## Adds CSS classes to the surrounding table cell for this element.

    setTableCellCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setTableCellCSSClasses()
inherited_from | \htmlButton::setTableCellCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Sets the button title (tooltip).

    setTitle(String $title)

Inherited

inherited_from | \htmlButton::setTitle()

### Parameters

#### $title

`String`

title

### Properties

## alignment when inside a table

    $alignment

Inherited

inherited_from | \htmlElement::$$alignment
inherited_from | \htmlButton::$$alignment

## colspan if inside a table

    $colspan

Inherited

inherited_from | \htmlElement::$$colspan
inherited_from | \htmlButton::$$colspan

## rowspan if inside a table

    $rowspan

Inherited

inherited_from | \htmlElement::$$rowspan
inherited_from | \htmlButton::$$rowspan

## CSS classes

    $cssClasses

Inherited

inherited_from | \htmlElement::$$cssClasses
inherited_from | \htmlButton::$$cssClasses

## image button or text button

    $isImageButton

Inherited

inherited_from | \htmlButton::$$isImageButton

## button name

    $name

Inherited

inherited_from | \htmlButton::$$name

## table cell CSS classes

    $tableCellCssClasses

Inherited

inherited_from | \htmlElement::$$tableCellCssClasses
inherited_from | \htmlButton::$$tableCellCssClasses

## button text or image

    $value

Inherited

inherited_from | \htmlButton::$$value

## icon class (CSS) for buttons with icon + text

    $iconClass

Inherited

inherited_from | \htmlButton::$$iconClass

## enabled or disabled

    $isEnabled

Inherited

inherited_from | \htmlButton::$$isEnabled

## onclick event

    $onClick

Inherited

inherited_from | \htmlButton::$$onClick

## title

    $title

Inherited

inherited_from | \htmlButton::$$title

### Constants

## align to bottom

    ALIGN_BOTTOM

Inherited

inherited_from | \htmlElement::ALIGN_BOTTOM
inherited_from | \htmlButton::ALIGN_BOTTOM

## align to center

    ALIGN_CENTER

Inherited

inherited_from | \htmlElement::ALIGN_CENTER
inherited_from | \htmlButton::ALIGN_CENTER

## align to left

    ALIGN_LEFT

Inherited

inherited_from | \htmlElement::ALIGN_LEFT
inherited_from | \htmlButton::ALIGN_LEFT

## align to right

    ALIGN_RIGHT

Inherited

inherited_from | \htmlElement::ALIGN_RIGHT
inherited_from | \htmlButton::ALIGN_RIGHT

## align to top

    ALIGN_TOP

Inherited

inherited_from | \htmlElement::ALIGN_TOP
inherited_from | \htmlButton::ALIGN_TOP

## validation rule to allow only numbers ([0-9]+)

    VALIDATE_NUMERIC

Inherited

inherited_from | \htmlElement::VALIDATE_NUMERIC
inherited_from | \htmlButton::VALIDATE_NUMERIC